Page MenuHomePhabricator

Installer should set $wgResourceBasePath before embedding in $wgRightsIcon
Closed, ResolvedPublic

Description

The installer's
$wgRightsIcon = "{$wgResourceBasePath}/resources/assets/licenses/cc-by-sa.png";

causes the rights icon to appear as a broken image.

$wgRightsIcon = "$wgScriptPath/resources/assets/licenses/cc-by-sa.png";

works.


Version: 1.25-git
Severity: minor

Details

Reference
bz73031

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:50 AM
bzimport set Reference to bz73031.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle renamed this task from Rights icon doesn't appear when $wgResourceBasePath is used to Installer should set $wgResourceBasePath before embedding in $wgRightsIcon.Apr 28 2015, 6:06 PM
Krinkle set Security to None.
Krinkle edited subscribers, added: demon; removed: Krinkle, TrevorParscal, Unknown Object (MLST).

At run time, in Setup.php, wgResourceBasePath defaults to wgScriptPath.

However, unlike most references to this variable, in the Installer it is used when substituting generated LocalSettings. In that case when wgScriptPath is set, wgResourceBasePath is still null (or whatever the default was).

Krinkle raised the priority of this task from Low to Normal.Apr 28 2015, 6:09 PM
demon assigned this task to Krinkle.May 24 2015, 9:16 AM

@Krinkle thinks he has an idea for a patch for this, assigning.

Change 213210 had a related patch set uploaded (by Krinkle):
installer: Export wgResourceBasePath in LocalSettingsGenerator

https://gerrit.wikimedia.org/r/213210

Change 213237 had a related patch set uploaded (by Chad):
installer: Export wgResourceBasePath in LocalSettingsGenerator

https://gerrit.wikimedia.org/r/213237

Change 213210 merged by jenkins-bot:
installer: Export wgResourceBasePath in LocalSettingsGenerator

https://gerrit.wikimedia.org/r/213210

Change 213237 merged by jenkins-bot:
installer: Export wgResourceBasePath in LocalSettingsGenerator

https://gerrit.wikimedia.org/r/213237

demon closed this task as Resolved.May 24 2015, 11:38 AM
demon added a comment.May 24 2015, 1:31 PM

WMF-deploy tag doesn't make much sense imho....

Change 248321 had a related patch set uploaded (by saper):
installer: Define $wgResourceBasePath in LocalSettings.php

https://gerrit.wikimedia.org/r/248321

Change 248321 merged by jenkins-bot:
installer: Define $wgResourceBasePath in LocalSettings.php

https://gerrit.wikimedia.org/r/248321

Change 250286 had a related patch set uploaded (by Krinkle):
installer: Define $wgResourceBasePath in LocalSettings.php

https://gerrit.wikimedia.org/r/250286

Change 250286 merged by jenkins-bot:
installer: Define $wgResourceBasePath in LocalSettings.php

https://gerrit.wikimedia.org/r/250286